--[[reaper = 
{
	animation = "DATA:Animations/merch/effects/reaper.anim",
	life = 0.6,
	fade = "linear",

	--default to background particle
	particle_placement = FXParticle.FOREGROUND
}

function UpdatePattern( pattern, time_elapsed, particles, root_position )

end

g_step =  0.2
g_current = 0
g_float = 8
g_start_pos = Vector2()

g_offset = Vector2(0,-120)

START_SCALE = Vector2( 0.8, 0.8 )

function UpdateSpawn( spawner, time_elapsed, particles, root_position )

	if not first_update then
		first_update = true
		local particle = spawner:SpawnParticle( "reaper", root_position + g_offset )
		particle:SetScale( START_SCALE )
	end
	
	for particle in particles:GetParticles() do
		--make it bounce
		
		local scale = particle:GetScale()
		scale.y = scale.y + 0.1
		scale.x = scale.x + 0.1
		particle:SetScale( scale )
		
--[[		if g_step > 0 and g_current > g_float/2 then
			g_step = g_step*-1
		elseif g_step < 0 and g_current < -g_float/2 then
			g_step = g_step*-1
		end
		
		g_current = g_current + g_step
		particle:SetPosition( root_position + g_offset + Vector2( 0, g_current ) )]]
		
	end
	
end

Effect = 
{
	FXType = "Custom",
	Data = 
	{
	}
}
--]]

Effect = 
{
	FXType = "BobExplosion",
	Data = 
	{		
		BobExplosion =
		{
			offset = {0,-120},
			start_scale = {0.8,0.8},
			
			scale_y_delta = 0.1,
			scale_x_delta = 0.1,
		},
		
		Particles = 
		{
			animation = "DATA:Animations/merch/effects/reaper.anim",
			life = 0.6,
			fade = "linear",
		
			--default to background particle
			particle_placement = FXParticle.FOREGROUND
		}
	}
}